(function($) {
  "use strict";

	$(function(){
		$.fn.select2.defaults.set("theme", "classic");
		$(window).on('load', function(event) {
			var footer_row_height = 0;
			var footer_height = 0;
			var header_height = 0;
			var adminbarheight = 0;
			var wpfcontainermargin = 0;

			if ($('.wpf-container').length > 0) {
		      wpfcontainermargin = $('.wpf-container').css('margin-top');
		      wpfcontainermargin = parseInt(wpfcontainermargin.replace("px",""));
		    }

			if ($('.wpf-footer-row-move').length>0) {
				footer_row_height = $('.wpf-footer-row-move').outerHeight();
				footer_row_height = footer_row_height + parseInt($('.wpf-footer-row-move').data("gbf"));
			}

			if ($('.wpf-footer').length>0) {
				footer_height = $('.wpf-footer').outerHeight();
			}

			if ($('.wpf-header').length>0) {
				header_height = $('.wpf-header').outerHeight();
			}

			if ($('#wpadminbar').length>0) {
				adminbarheight = $('#wpadminbar').outerHeight();
			}
			var total_out = footer_row_height + footer_height + wpfcontainermargin + adminbarheight;
			
			if ($('.wpf-container').length > 0) {$('.wpf-container').css('min-height','calc(100vh - '+total_out+'px)');}

		});

		if ($('.pfwidgetinner .golden-forms .select').length > 0) {
			$('.pfwidgetinner .golden-forms .select:has(.pfselect2container)').css('border','none');
		}

		if ($(".post-content").length > 0) {
			$(".post-content").fitVids();
		}

		if ($('.wp-block-embed__wrapper').length > 0) {
			$('.wp-block-embed__wrapper').fitVids();
		}

		function getCurrentScroll() {
			return window.pageYOffset || document.documentElement.scrollTop;
		}

		$.reCAPTCHA_execute = function(formname){

			function replaceAll(str, find, replace) {

			    return str.replace(new RegExp(find, 'g'), replace);
			}

			if (typeof grecaptcha != "undefined"){
				
				grecaptcha.execute(theme_scriptspf.pkeyre, {
					action: ""+replaceAll(formname,"-","")+""
				}).then(function(token) {
				  $("#"+formname+" #grecaptcharesponse").remove();
				  $("<input>").attr({type: "hidden",name: "g-recaptcha-response",id: "grecaptcharesponse",value: token}).prependTo("#"+formname+"");
				});
			}
		};

    	$('.pf-mfp-image').magnificPopup({type:'image'});
    	
		$('body').on('click', '.menu-item-has-children + a', function(event) {
			
			if (!$.pf_mobile_check()) {return false;}
			
		});

		if ($('#respond.comment-respond').length > 0) {$('#respond.comment-respond').addClass('golden-forms')};

		
		$('.pf-mobile-up-button .pf-up-but-el').on('click',function(e){
			e.preventDefault();
			if ($('.pf-up-but-el i').hasClass('fa-ellipsis-h')) {
				$('.pf-up-but-el i').fadeOut(10, function() { 
		           $('.pf-up-but-el i').removeClass('fa-ellipsis-h');
		        });
		        $('.pf-up-but-el i').fadeIn(200, function() { 
		           $('.pf-up-but-el i').addClass('fa-ellipsis-v');
		        });
			}else{
				$('.pf-up-but-el i').fadeOut(10, function() { 
		           $('.pf-up-but-el i').removeClass('fa-ellipsis-v');
		        });
		        $('.pf-up-but-el i').fadeIn(200, function() { 
		           $('.pf-up-but-el i').addClass('fa-ellipsis-h');
		        });
			}
			
			$('.pf-mobile-up-button .pf-up-but-up').fadeToggle('800');
			$('.pf-mobile-up-button .pf-up-but-menu').fadeToggle('1000');
			if($('.pf-mobile-up-button .pf-up-but-umenu').length > 0){$('.pf-mobile-up-button .pf-up-but-umenu').fadeToggle('1200');}
		});


		$('.pf-mobile-up-button .pf-up-but-up').on('click',function(e){
			e.preventDefault();
			$('.pf-up-but-el').trigger('click');
			$('html, body').animate({scrollTop : 0},800,function(){});
		});

		$('.pf-desktop-up-button .pf-up-but-up').on('click',function(e){
			e.preventDefault();
			$('html, body').animate({scrollTop : 0},800,function(){});
		});

		$('.pf-up-but-menu').on('click',function(e){
			e.preventDefault();
			$('#pf-primary-nav-button').trigger("click");
		});

		$('.pf-up-but-umenu').on('click',function(e){
			e.preventDefault();
			$('#pf-topprimary-nav-button').trigger("click");
		});

/***************************************************************************************************************
*
*
* RESPONSIVE MENU FUNCTIONS & MOBILE MENU FUNCTIONS
*
*
***************************************************************************************************************/

		$('.pfmenucontaineroverflow').on('click',function(){
			var target = $('.pfmobilemenucontainer').attr("data-menuid");
			$('#'+target).trigger('click');
		});

		$('#pf-topprimary-navmobi a').on('click', function(event) {
			var target = $('.pfmobilemenucontainer').attr("data-menuid");
			$('#'+target).trigger('click');
		});

		
		$.each($('.mobilenavbutton'), function(index, val) {
		 	
			var target = $(this).attr('id');

		 	$('#'+target).on('click',function(e){
		 		e.preventDefault();
				$(this).toggleClass('pfopened');

				var menuid = $(this).attr("data-menu");
				

				setTimeout(function(){
					$('.pfmenucontaineroverflow').toggleClass('pfactiveoverflow');
				},0);

				if (menuid != 'pfsearch-draggable') {
					var direction = $('#'+menuid).attr("data-direction");
					if($('#'+menuid).css(direction) == '-290px' || $('#'+menuid).css(direction) == 'auto'){
						$('#'+menuid).css('display','block');
						$('#'+menuid).css(direction,'0');
						$('.pf-menu-container').css(direction,'0');
						$('.pfmobilemenucontainer').attr("data-menuid",target);
					}else{
						$('#'+menuid).css('display','none');
						$('#'+menuid).css(direction,'-290px');
						$('.pf-menu-container').css(direction,'-290px');
						$('.pfmobilemenucontainer').removeAttr("data-menuid");
					}
				}else{
					var direction = $('.psearchdraggable').attr("data-direction");

					if ($('.psearchdraggable').css(direction) == '-290px') {
						$('.psearchdraggable.mobilesearch').css(direction,'0');
						$('.pfmobilemenucontainer').attr("data-menuid",target);
					}else{
						$('.psearchdraggable.mobilesearch').css(direction,'-290px');
						$('.pfmobilemenucontainer').removeAttr("data-menuid");
					}
				}

			});

			
			if ($('body').hasClass('rtl')) {
				$('.pfmobilemenucontainer .pf-menu-container .pf-logo-container.pfmobilemenulogo').css('margin-right','30px');
			}else{
				$('.pfmobilemenucontainer .pf-menu-container .pf-logo-container.pfmobilemenulogo').css('margin-left','30px');
			}
			

		});

		if ($.pf_tablet2_check()) {
			$('#pf-primary-nav').pfresponsivenav();
			$('#pf-topprimary-nav').pfresponsivenav({mleft:0});
		}else{
			$('#pf-primary-navmobile').pfresponsivenav();
			$('#pf-topprimary-nav').pfresponsivenav({mleft:0});
		}
		


		var shrinkHeader = 100;
		$(window).scroll(function() {

			if ($(this).scrollTop() > 100 && !$('body').hasClass('pfdisableshrink')) {

				$('.pf-desktop-up-button').addClass('pfvisible');
				$('.pf-mobile-up-button').addClass('pfvisible');

				$('.pf-mobile-up-button .pf-up-but-el').fadeIn();
				
			} else {
				$('.pf-desktop-up-button').removeClass('pfvisible');
				$('.pf-mobile-up-button').removeClass('pfvisible');


				$('.pf-mobile-up-button .pf-up-but-up').fadeOut();
				$('.pf-mobile-up-button .pf-up-but-menu').fadeOut();

				
				if($('.pf-mobile-up-button .pf-up-but-umenu').length > 0){$('.pf-mobile-up-button .pf-up-but-umenu').fadeOut();}
				$('.pf-mobile-up-button .pf-up-but-el').fadeOut();
				$('.pf-mobile-up-button .pf-up-but-el i').removeClass('fa-ellipsis-v').addClass('fa-ellipsis-h');
			}

			var scroll = getCurrentScroll();
			if ( scroll >= shrinkHeader && $.pf_tablet2_check() && !$('body').hasClass('pfdisableshrink') ) {
				$('.wpf-header').addClass('pfshrink').css('transform','translate3d(0px, -'+pointfinderlcsc.tlineh+'px, 0px);');
			} else {
				if ($.pf_tablet2_check()){
					$('.wpf-header').removeClass('pfshrink').css('transform','translate3d(0px, 0px, 0px);');
				}else{
					$('.wpf-header').removeClass('pfshrink');
				}

			}
		});





		setTimeout(function(){
			if ($('body').hasClass('pfdisableshrink')) {
				$('html').css('background-color','#ffffff')
			}
		},100);
			

			
	});
	

	$(window).one('load', function(e){
        setTimeout(function(){
			if ($('.psearchdraggable.pfhalfmapdraggable.topmap.mobilesearch').length > 0 && !$.pf_tablet3_check()) {
				
				if ($('.sidebar-widget').length > 0) {
					var elem = document.querySelector('.psearchdraggable.pfhalfmapdraggable.topmap');
					var elem2 = document.querySelector('.sidebar-widget');
					var clone = elem.cloneNode(true);
					elem.remove();
					elem2.before(elem);
				}
			}
		},1000);
    });

	function pointfinderloadresizefunction(){
    	var windovwidth = Math.max(document.documentElement.clientWidth || 0, window.innerWidth || 0);
    	if (windovwidth < 1024) {
			$('.pf-menu-container').addClass('pf-menu-container-tablet');
		}else{
			$('.pf-menu-container').removeClass('pf-menu-container-tablet');
		}
		
		if (!$.pf_tablet2_check()) {
			if ($('#pfsearch-draggable').length > 0 ) {
				$('#pf-primary-search-button').show('fast');
				if (!$('.wpf-container .psearchdraggable').hasClass('mobilesearch')) {
					$('.wpf-container .psearchdraggable').addClass('mobilesearch');
				}

				if ($('.pf-ex-search-text.pfmobileexsearchtext').length > 0) {
					var extex = $('.pf-ex-search-text.pfmobileexsearchtext');
					extex.clone().appendTo(".pf-fullwidth").show();
					extex.remove();
				}

				if ($('#pfsearch-draggable .colhorsearch.colhorseachbutton').length > 0 ) {
					var extex2 = $('#pfsearch-draggable .colhorsearch.colhorseachbutton');
					extex2.clone().appendTo("#pointfinder-search-form .pfdragcontent").show();
					extex2.remove();
				}
			}

		}


		if ($.pf_tablet2_check()) {
			if ($('#pfsearch-draggable').length > 0 ) {
				$('#pf-primary-search-button').hide('fast');

				if ($('.wpf-container .psearchdraggable').hasClass('mobilesearch')) {
					$('.wpf-container .psearchdraggable').removeClass('mobilesearch');
				}
			};

			if ($("#pfsearch-draggable").is(":hidden")) {
				if (!$('#pfsearch-draggable').hasClass('pfsearch-draggable-full')) {
					$('#pfsearch-draggable').css('display','block');

					if ($('#pfsearch-draggable').hasClass('pfshowmobile')) {
						$('#pfsearch-draggable').removeClass('pfshowmobile');
					};
				};
			};
		}



		if (!$.pf_tablet4e_check()) {

			if ($('.pfminiadvsearch').length > 0 && $('#pointfinder-search-form-manual').length > 0) {
				if ($('#pfsearchsubvalues').length > 0) {
					$('#pfsearchsubvalues').remove();
					$('.pointfinder-mini-search').removeClass('hassubvalues');
				}
				
			}

		}

		if ($.pf_tablet4e_check()) {

			if ($('.pfminiadvsearch').length > 0 && $('#pointfinder-search-form-manual').length > 0) {
				var mnstyles = $('.pointfinder-mini-search').data('minist');

				if ($('#pfsearchsubvalues').length == 0) {
					$('<div id="pfsearchsubvalues" class="golden-forms" style="'+mnstyles+'"></div>').appendTo('#pointfinder-search-form-manual');
				}else{
					var element = $('#pfsearchsubvalues');
					var clone = element.clone();
					element.remove();
					clone.attr('style', mnstyles);
					clone.appendTo('#pointfinder-search-form-manual');
					if ($('.pfminiadvsearch.hassubvalues').length > 0) {
						$('#pfsearchsubvalues').show();
					}
				}
			}
		}

		
		if ($('.psearchdraggable.pfhalfmapdraggable.topmap.mobilesearch').length > 0 && !$.pf_tablet3_check()) {

			if (!$('.wpf-container .psearchdraggable').hasClass('mobilesearcht')) {
				$('.wpf-container .psearchdraggable').addClass('mobilesearcht');
			}

		}
	
		if($('#pf-primary-nav').attr('style') == 'display: none;' && $.pf_tablet_check()){
		   $('#pf-primary-nav').removeAttr('style');
		}

    }

	var doit;

	$(window).on('resize ',function(){
		clearTimeout(doit);
		doit = setTimeout(pointfinderloadresizefunction, 300);
	});

	$(window).on('load orientationchange', function(e){
		pointfinderloadresizefunction();
	});


})(jQuery);